using System;

namespace Zadatak1Takm3
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int n = int.Parse(s[0]), x = int.Parse(s[1]);
            s = Console.ReadLine().Split();
            int[] niz = new int[n + 1];
            niz[n] = x;
            for (int i = 0; i < n; i++)
            {
                niz[i] = int.Parse(s[i]);
            }
            int max = int.MinValue, min = int.MaxValue;
            for (int i = 0; i < n; i++)
            {
                max = Math.Max(max, niz[i]);
                min = Math.Min(min, niz[i]);
            }
            int ukupno = 0;
            if (max > x && min < x)
                ukupno = x - min + max - min;
            else if (max < x)
                ukupno = x - min;
            else if (min > x)
                ukupno = max - x;

            Console.WriteLine(ukupno);
        }
    }
}